Journeys
Condition catalog
List the person attributes and computed attributes available for DECISION and CASE CONDITIONS, plus the custom object types. Attribute tokens are ready to use as condition selection paths (e.g. attributes.plan, computed.ltv). NOTE: these attributes.* tokens are ONLY for DECISION/CASE conditions — SEND_MESSAGE template bindings use a different syntax (person.<key>); call journeys_message_variables for those.
GET
/
api
/
v1
/
journeys
/
condition-catalog
Condition catalog
curl --request GET \
--url https://www.useboom.ai/api/v1/journeys/condition-catalog \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.useboom.ai/api/v1/journeys/condition-catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.useboom.ai/api/v1/journeys/condition-catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"person": [
{
"attr": "<string>",
"label": "<string>",
"type": "<string>"
}
],
"computed": [
{
"attr": "<string>",
"label": "<string>",
"type": "<string>"
}
],
"objectTypes": [
{
"name": "<string>",
"displayName": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Was this page helpful?
⌘I
Condition catalog
